diff --git a/tools/hwpack/A10-OLinuXino-Lime.conf b/tools/hwpack/A10-OLinuXino-Lime.conf
index f823f7d9bbc7e0c08a6f2b73a5910479f9ea122b..51f72dc183444869f7b4a15306594d0dfd99ba8b 100644
--- a/tools/hwpack/A10-OLinuXino-Lime.conf
+++ b/tools/hwpack/A10-OLinuXino-Lime.conf
@@ -16,6 +16,7 @@ dd_uboot_conf="fsync,notrunc"
 dd_uboot_bs="1024"
 unset spl_name
 boot_name="u-boot.sunxi"
+uboot_supports_csum="true"
 
 #Kernel:
 conf_kernel=
diff --git a/tools/hwpack/A20-OLinuXino-Lime.conf b/tools/hwpack/A20-OLinuXino-Lime.conf
index fdec0490d388c82d2874635833d9130b78b96c63..9c08f2c708c6bec5eb9ca080098c2288ee8a8ba6 100644
--- a/tools/hwpack/A20-OLinuXino-Lime.conf
+++ b/tools/hwpack/A20-OLinuXino-Lime.conf
@@ -16,6 +16,7 @@ dd_uboot_conf="fsync,notrunc"
 dd_uboot_bs="1024"
 unset spl_name
 boot_name="u-boot.sunxi"
+uboot_supports_csum="true"
 
 #Kernel:
 conf_kernel=
diff --git a/tools/hwpack/wandboard.conf b/tools/hwpack/wandboard.conf
index bdb8593c1bf09e4a326783832478efcd155e1fc6..8aef8a4651b95003957eb3d7e44fe9855b844383 100644
--- a/tools/hwpack/wandboard.conf
+++ b/tools/hwpack/wandboard.conf
@@ -24,6 +24,7 @@ dd_uboot_seek="69"
 dd_uboot_conf=""
 dd_uboot_bs="1k"
 boot_name="u-boot.img"
+uboot_supports_csum="true"
 
 #Kernel:
 conf_kernel=
diff --git a/tools/setup_sdcard.sh b/tools/setup_sdcard.sh
index fd76d73cab8ed9d07c9e6365d6d85038bbcd53c5..9f99b40146fb87c34e0b13b44bb331d2e5832c27 100755
--- a/tools/setup_sdcard.sh
+++ b/tools/setup_sdcard.sh
@@ -155,17 +155,6 @@ detect_software () {
 		exit
 	fi
 
-	#Debian Stretch, mfks.ext4 default to metadata_csum,64bit disable till u-boot works again..
-	unset ext4_options
-	unset test_mke2fs
-	LC_ALL=C mkfs.ext4 -V &> /tmp/mkfs
-	test_mkfs=$(cat /tmp/mkfs | grep mke2fs | grep 1.43 || true)
-	if [ "x${test_mkfs}" = "x" ] ; then
-		unset ext4_options
-	else
-		ext4_options="-O ^metadata_csum,^64bit"
-	fi
-
 	unset wget_version
 	wget_version=$(LC_ALL=C wget --version | grep "GNU Wget" | awk '{print $3}' | awk -F '.' '{print $2}' || true)
 	case "${wget_version}" in
@@ -642,6 +631,21 @@ create_partitions () {
 	media_boot_partition=1
 	media_rootfs_partition=2
 
+	unset ext4_options
+
+	if [ ! "x${uboot_supports_csum}" = "xtrue" ]
+		#Debian Stretch, mfks.ext4 default to metadata_csum, 64bit disable till u-boot works again..
+		unset ext4_options
+		unset test_mke2fs
+		LC_ALL=C mkfs.ext4 -V &> /tmp/mkfs
+		test_mkfs=$(cat /tmp/mkfs | grep mke2fs | grep 1.43 || true)
+		if [ "x${test_mkfs}" = "x" ] ; then
+			unset ext4_options
+		else
+			ext4_options="-O ^metadata_csum,^64bit"
+		fi
+	fi
+
 	echo ""
 	case "${bootloader_location}" in
 	fatfs_boot)